# CareTeam read

`GET /CareTeam/{id}`

This resource details the members of a patient's care team, along with the organization that manages the care team, if available. 

> **Care team members**
>
> Redox currently returns every care team member as a `Practitioner` resource, even when the source data names a family member or caregiver. Check each member’s `role` to see how they participate in the patient’s care.

Typically, a `CarePlan` or `Encounter` resource references this resource type to define the context for a treatment plan or patient visit. Learn more about these related resources: 

- [`CarePlan`](https://docs.redoxengine.com/permalink/936a7634-e7f2-5286-8b8b-e3e25faca03c-read)
- [`Encounter`](https://docs.redoxengine.com/permalink/caa14c22-1883-5450-95b8-5bee45bfeb09-read)

You can review or retrieve care team information. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `CareTeam` resource with the details of a patient’s or group’s care team.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | CareTeam identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/CareTeam/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The CareTeam

A profile on the CareTeam resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: CareTeam |
| `subject` | object | Yes | Identifies the patient or group whose intended care is handled by the team. Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `participant` | Array of object | Yes | Identifies all people and organizations who are expected to be involved in the care team. |
| `participant[].role` | Array of object | Yes | Indicates specific responsibility of an individual within the care team, such as "Primary care physician", "Trained social worker counselor", "Caregiver", etc. |
| `participant[].role[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `participant[].role[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `participant[].role[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `participant[].role[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `participant[].member` | object | Yes | The specific person or organization who is participating/expected to participate in the care team. Must be a resource of type `Practitioner`. |
| `participant[].member.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `participant[].period` | object | No | Indicates when the specific member or organization did (or is intended to) come into effect and end. |
| `participant[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `participant[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `status` | string | No | Indicates the current state of the care team. Possible values: (USCDI) proposed, active, suspended, inactive, entered-in-error |
| `category` | Array of object | No | Identifies what kind of team.  This is to support differentiation between multiple co-existing teams, such as care plan team, episode of care team, longitudinal care team. |
| `category[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `category[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `category[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `name` | string | No | A label for human use intended to distinguish like teams.  E.g. the "red" vs. "green" trauma teams. |
| `encounter` | object | No | The Encounter during which this CareTeam was created or to which the creation of this record is tightly associated. Must be a resource of type `Encounter`. |
| `encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `managingOrganization` | Array of object | No | The organization responsible for the care team. Must be a resource of type `Organization`. |
| `managingOrganization[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |

```json
{
  "resourceType": "CareTeam",
  "id": "RedoxCareTeamExample",
  "status": "active",
  "category": [
    {
      "coding": [
        {
          "code": "86744-0",
          "system": "http://loinc.org"
        }
      ],
      "text": "Care Team"
    }
  ],
  "name": "Example Care Team",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "encounter": {
    "reference": "Encounter/RedoxEncounterExample"
  },
  "managingOrganization": [
    {
      "reference": "Organization/RedoxOrganizationManagingExample"
    }
  ],
  "participant": [
    {
      "member": {
        "reference": "Practitioner/RedoxPractitionerExamplePat"
      },
      "role": [
        {
          "coding": [
            {
              "code": "59058001",
              "system": "http://snomed.info/sct"
            }
          ],
          "text": "General Physician"
        }
      ],
      "period": {
        "start": "2010-01-01T12:00:00Z"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
